% pac_pop_invertPolarity(): invert EEG polarity for clinical convention

% Author: Makoto Miyakoshi, JSPS/SCCN,INC,UCSD
% History
% 03/30/2014 ver 1.1 by Makoto. Revised minorly.
% 03/22/2013 ver 1.0 by Makoto. Created.

% Copyright (C) 2013, Makoto Miyakoshi JSPS/SCCN,INC,UCSD
%
% This program is free software; you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by
% the Free Software Foundation; either version 2 of the License, or
% (at your option) any later version.
%
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
%
% You should have received a copy of the GNU General Public License
% along with this program; if not, write to the Free Software
% Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

function EEG = pac_pop_invertPolarity(EEG)

if ~isfield(EEG.pac, 'polarityInverse')
    EEG.pac.polarityInverse = 1;
end

if EEG.pac.polarityInverse==1
    STRING = 'non-inverted';
else
    STRING = 'inverted';
end

userInput = questdlg(['Currently ' STRING '. Invert EEG polarity?']);
if strcmp(userInput, 'No') || strcmp(userInput, 'Cancel')
    error('Operation canceled by user.')
end

EEG.data = EEG.data*-1;
EEG = pop_editset(EEG, 'setname', [EEG.setname ' inverted']);
disp('EEG polarity inverted.')
EEG.pac.polarityInverse = EEG.pac.polarityInverse*-1;
return